FROM node:14.15.0-alpine as build-stage
WORKDIR /bezkoder-ui
COPY package.json .
RUN npm install
COPY . .
EXPOSE 8081
RUN npm run build


FROM nginx:1.17.0-alpine
COPY --from=build-stage /bezkoder-ui/build /usr/share/nginx/html
EXPOSE $REACT_DOCKER_PORT
CMD ["nginx", "-g", "daemon off;"]